%define upstream_name File_IMC
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.3
Release:     	%mkrel 2
Summary:    	Create and parse Internet Mail Consortium-style files (like vCard and vCalendar)
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_IMC-%{version}.tgz
URL: 		http://pear.php.net/package/File_IMC
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Allows you to programmatically create a vCard or vCalendar, and fetch the
text.

IMPORTANT: The array structure has changed slightly from
Contact_Vcard_Parse.
See the example output for the new structure.  Also different from
Contact_Vcard
is the use of a factory pattern.  Again, see the examples.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_IMC.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_IMC.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_IMC
fi

%files
%defattr(-,root,root)
%doc docs/File_IMC/*
%{peardir}/*
%{xmldir}/File_IMC.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.3-2.mga3
+ Revision: 376131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 0.4.3-1.mga2
+ Revision: 218427
- upgrade to 0.4.3
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.3-11.mga1
+ Revision: 47396
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-File_IMC

